> ## Documentation Index
> Fetch the complete documentation index at: https://dripart-feat-openapi-i18n.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 주어진 필터에 따라 모든 노드 버전을 나열합니다.



## OpenAPI

````yaml /openapi/registry.ko.yaml get /versions
openapi: 3.0.2
info:
  title: Comfy API
  version: '1.0'
servers:
  - url: https://api.comfy.org
security: []
paths:
  /versions:
    get:
      tags:
        - Registry
      summary: 주어진 필터에 따라 모든 노드 버전을 나열합니다.
      operationId: ListAllNodeVersions
      parameters:
        - in: query
          name: nodeId
          schema:
            type: string
        - explode: true
          in: query
          name: statuses
          schema:
            items:
              $ref: '#/components/schemas/NodeVersionStatus'
            type: array
          style: form
        - in: query
          name: include_status_reason
          schema:
            default: false
            type: boolean
        - description: 조회할 페이지 번호
          in: query
          name: page
          schema:
            default: 1
            type: integer
        - description: 페이지당 포함할 항목 수
          in: query
          name: pageSize
          schema:
            default: 10
            type: integer
        - description: status_reason 검색, 대소문자 구분 없음
          in: query
          name: status_reason
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  page:
                    description: 현재 페이지 번호
                    type: integer
                  pageSize:
                    description: 페이지당 최대 노드 버전 수. 최대 100개
                    type: integer
                  total:
                    description: 사용 가능한 총 노드 버전 수
                    type: integer
                  totalPages:
                    description: 사용 가능한 총 페이지 수
                    type: integer
                  versions:
                    items:
                      $ref: '#/components/schemas/NodeVersion'
                    type: array
                type: object
          description: 모든 노드 버전 목록
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: 잘못된 입력, 개체가 유효하지 않음
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: 노드 차단됨
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: 내부 서버 오류
components:
  schemas:
    NodeVersionStatus:
      enum:
        - NodeVersionStatusActive
        - NodeVersionStatusDeleted
        - NodeVersionStatusBanned
        - NodeVersionStatusPending
        - NodeVersionStatusFlagged
      type: string
    NodeVersion:
      properties:
        changelog:
          description: 이 버전에서 변경된 사항 요약
          type: string
        comfy_node_extract_status:
          description: Comfy 노드 추출 프로세스의 상태
          type: string
        createdAt:
          description: 버전이 생성된 날짜와 시간
          format: date-time
          type: string
        dependencies:
          description: 노드에 필요한 pip 의존성 목록
          items:
            type: string
          type: array
        deprecated:
          description: 이 버전이 지원 중단되었는지 여부를 나타냅니다.
          type: boolean
        downloadUrl:
          description: '[출력 전용] 이 노드 버전을 다운로드하는 URL'
          type: string
        id:
          type: string
        node_id:
          description: 노드의 고유 식별자
          type: string
        status:
          $ref: '#/components/schemas/NodeVersionStatus'
        status_reason:
          type: string
        supported_accelerators:
          description: '이 노드가 지원하는 가속기 목록 (예: CUDA, DirectML, ROCm)'
          items:
            type: string
          type: array
        supported_comfyui_frontend_version:
          description: 지원되는 ComfyUI 프론트엔드 버전
          type: string
        supported_comfyui_version:
          description: 지원되는 ComfyUI 버전
          type: string
        supported_os:
          description: 이 노드가 지원하는 운영 체제 목록
          items:
            type: string
          type: array
        tags:
          items:
            type: string
          type: array
        tags_admin:
          description: 보안 경고 및 관리자 메타데이터를 위한 관리자 전용 태그
          items:
            type: string
          type: array
        version:
          description: 시맨틱 버전 관리를 따르는 버전 식별자. 노드에 대해 고유해야 합니다.
          type: string
      type: object
    ErrorResponse:
      properties:
        error:
          type: string
        message:
          type: string
      required:
        - error
        - message
      type: object

````